AMPS C/C++ Client Class Reference AMPS C/C++ Client Version 5.3.5.6

AMPS::Command Member List

This is the complete list of members for AMPS::Command, including all inherited members.

addAckType(const std::string &ackType_) | AMPS::Command | inline
Command(const std::string &command_) | AMPS::Command | inline
Command(const char *command_, size_t commandLen_) | AMPS::Command | inline
Command(Message::Command::Type command_) | AMPS::Command | inline
getAckType() const | AMPS::Command | inline
getAckTypeEnum() const | AMPS::Command | inline
reset(const std::string &command_) | AMPS::Command | inline
reset(const char *command_, size_t commandLen_) | AMPS::Command | inline
reset(Message::Command::Type command_) | AMPS::Command | inline
setAckType(const std::string &ackType_) | AMPS::Command | inline
setAckType(unsigned ackType_) | AMPS::Command | inline
setBatchSize(unsigned batchSize_) | AMPS::Command | inline
setBookmark(const std::string &bookmark_) | AMPS::Command | inline
setBookmark(const char *bookmark_, size_t bookmarkLen_) | AMPS::Command | inline
setCommandId(const std::string &cmdId_) | AMPS::Command | inline
setCommandId(const char *cmdId_, size_t cmdIdLen_) | AMPS::Command | inline
setCorrelationId(const std::string &correlationId_) | AMPS::Command | inline
setCorrelationId(const char *correlationId_, size_t correlationIdLen_) | AMPS::Command | inline
setData(const std::string &data_) | AMPS::Command | inline
setData(const char *data_, size_t dataLen_) | AMPS::Command | inline
setExpiration(unsigned expiration_) | AMPS::Command | inline
setFilter(const std::string &filter_) | AMPS::Command | inline
setFilter(const char *filter_, size_t filterLen_) | AMPS::Command | inline
setOptions(const std::string &options_) | AMPS::Command | inline
setOptions(const char *options_, size_t optionsLen_) | AMPS::Command | inline
setOrderBy(const std::string &orderBy_) | AMPS::Command | inline
setOrderBy(const char *orderBy_, size_t orderByLen_) | AMPS::Command | inline
setQueryId(const std::string &queryId_) | AMPS::Command | inline
setQueryId(const char *queryId_, size_t queryIdLen_) | AMPS::Command | inline
setSequence(const std::string &seq_) | AMPS::Command | inline
setSequence(const char *seq_, size_t seqLen_) | AMPS::Command | inline
setSequence(const amps_uint64_t seq_) | AMPS::Command | inline
setSowKey(const std::string &sowKey_) | AMPS::Command | inline
setSowKey(const char *sowKey_, size_t sowKeyLen_) | AMPS::Command | inline
setSowKeys(const std::string &sowKeys_) | AMPS::Command | inline
setSowKeys(const char *sowKeys_, size_t sowKeysLen_) | AMPS::Command | inline
setSubId(const std::string &subId_) | AMPS::Command | inline
setSubId(const char *subId_, size_t subIdLen_) | AMPS::Command | inline
setTimeout(unsigned timeout_) | AMPS::Command | inline
setTopic(const std::string &topic_) | AMPS::Command | inline
setTopic(const char *topic_, size_t topicLen_) | AMPS::Command | inline
setTopN(unsigned topN_) | AMPS::Command | inline